from abc import ABC, abstractmethod
from typing import Final


class Color(ABC):
    @property
    @abstractmethod
    def PREFIX(self):
        pass

    BLACK: Final[str] = "0,0,0"
    MAROON: Final[str] = "128,0,0"
    GREEN: Final[str] = "0,128,0"
    OLIVE: Final[str] = "128,128,0"
    NAVY: Final[str] = "0,0,128"
    PURPLE: Final[str] = "128,0,128"
    TEAL: Final[str] = "0,128,128"
    SILVER: Final[str] = "192,192,192"
    GRAY: Final[str] = "128,128,128"
    GREY: Final[str] = "128,128,128"
    RED: Final[str] = "255,0,0"
    LIME: Final[str] = "0,255,0"
    YELLOW: Final[str] = "255,255,0"
    BLUE: Final[str] = "0,0,255"
    FUCHSIA: Final[str] = "255,0,255"
    AQUA: Final[str] = "0,255,255"
    WHITE: Final[str] = "255,255,255"
    NAVY_BLUE: Final[str] = "0,0,95"
    DARK_BLUE: Final[str] = "0,0,135"
    DARK_BLUE_2: Final[str] = "0,0,175"
    DARK_BLUE_1: Final[str] = "0,0,215"
    DARK_GREEN: Final[str] = "0,95,0"
    BLUE_STONE: Final[str] = "0,95,95"
    ORIENT: Final[str] = "0,95,135"
    ENDEAVOUR: Final[str] = "0,95,175"
    SCIENCE_BLUE: Final[str] = "0,95,215"
    BLUE_RIBBON: Final[str] = "0,95,255"
    JAPANESE_LAUREL: Final[str] = "0,135,0"
    DEEP_SEA: Final[str] = "0,135,95"
    TURQUOISE: Final[str] = "0,135,135"
    DEEP_CERULEAN: Final[str] = "0,135,175"
    LOCHMARA: Final[str] = "0,135,215"
    AZURE_RADIANCE: Final[str] = "0,135,255"
    ISLAMIC_GREEN: Final[str] = "0,175,0"
    SPRING_GREEN: Final[str] = "0,175,95"
    DARK_CYAN: Final[str] = "0,175,135"
    LIGHT_SEA_GREEN: Final[str] = "0,175,175"
    CERULEAN: Final[str] = "0,175,215"
    BLUE_BOLT: Final[str] = "0,175,255"
    ELECTRIC_GREEN: Final[str] = "0,215,0"
    MALACHITE: Final[str] = "0,215,95"
    CARIBBEAN_GREEN: Final[str] = "0,215,135"
    CYAN_1: Final[str] = "0,215,175"
    DARK_TURQUOISE: Final[str] = "0,215,215"
    VIVID_SKY_BLUE: Final[str] = "0,215,255"
    ELECTRIC_GREEN_1: Final[str] = "0,255,0"
    GUPPIE_GREEN: Final[str] = "0,255,95"
    SPRING_GREEN_1: Final[str] = "0,255,135"
    MEDIUM_SPRING_GREEN: Final[str] = "0,255,175"
    SEA_GREEN: Final[str] = "0,255,215"
    CYAN: Final[str] = "0,255,255"
    ROSEWOOD: Final[str] = "95,0,0"
    POMPADOUR: Final[str] = "95,0,95"
    PIGMENT_INDIGO: Final[str] = "95,0,135"
    PURPLE_3: Final[str] = "95,0,175"
    ELECTIC_VIOLET: Final[str] = "95,0,215"
    BLUE_VIOLET: Final[str] = "95,0,255"
    VERDUN_GREEN: Final[str] = "95,95,0"
    SCORPION: Final[str] = "95,95,95"
    COMET: Final[str] = "95,95,135"
    SCAMPI: Final[str] = "95,95,175"
    INDIGO: Final[str] = "95,95,215"
    CORNFLOWER_BLUE_1: Final[str] = "95,95,255"
    LIMEADE: Final[str] = "95,135,0"
    GLADE_GREEN: Final[str] = "95,135,95"
    JUNIPER: Final[str] = "95,135,135"
    HIPPIE_BLUE: Final[str] = "95,135,175"
    HAVELOCK_BLUE: Final[str] = "95,135,215"
    CORNFLOWER_BLUE: Final[str] = "95,135,255"
    LIMEA: Final[str] = "95,175,0"
    FERN: Final[str] = "95,175,95"
    SILVER_TREE: Final[str] = "95,175,135"
    TRADEWIND: Final[str] = "95,175,175"
    SHAKESPEARE: Final[str] = "95,175,215"
    MALIBU: Final[str] = "95,175,255"
    BRIGHT_GREEN: Final[str] = "95,215,0"
    PALE_GREEN: Final[str] = "95,215,95"
    PASTEL_GREEN: Final[str] = "95,215,135"
    DOWNY: Final[str] = "95,215,175"
    VIKING: Final[str] = "95,215,215"
    STEEL_BLUE: Final[str] = "95,215,255"
    CHARTREUSE: Final[str] = "95,255,0"
    SCREAMING_GREEN: Final[str] = "95,255,95"
    SEA_GREEN_1: Final[str] = "95,255,135"
    AQUAMARINE_1: Final[str] = "95,255,175"
    AQUAMARINE_2: Final[str] = "95,255,215"
    AQUAMARINE: Final[str] = "95,255,255"
    DARK_RED: Final[str] = "135,0,0"
    FRESH_EGGPLANT: Final[str] = "135,0,95"
    DARK_MAGENTA: Final[str] = "135,0,135"
    PURPLE_2: Final[str] = "135,0,175"
    ELECTRIC_VIOLET: Final[str] = "135,0,215"
    PURPLE_1: Final[str] = "135,0,255"
    BROWN: Final[str] = "135,95,0"
    COPPER_ROSE: Final[str] = "135,95,95"
    STRIKE_MASTER: Final[str] = "135,95,135"
    DELUGE: Final[str] = "135,95,175"
    MEDIUM_PURPLE: Final[str] = "135,95,215"
    HELIOTROPE: Final[str] = "135,95,255"
    OLIVE_1: Final[str] = "135,135,0"
    CLAY_CREEK: Final[str] = "135,135,95"
    GRAY_1: Final[str] = "135,135,135"
    GREY_1: Final[str] = "135,135,135"
    WILD_BLUE_YONDER: Final[str] = "135,135,175"
    CHETWODE_BLUE: Final[str] = "135,135,215"
    LIGHT_SLATE_BLUE: Final[str] = "135,135,255"
    LIMEADE_1: Final[str] = "135,175,0"
    CHELSEA_CUCUMBER: Final[str] = "135,175,95"
    BAY_LEAF: Final[str] = "135,175,135"
    GULF_STREAM: Final[str] = "135,175,175"
    POLO_BLUE: Final[str] = "135,175,215"
    MALIBU_1: Final[str] = "135,175,255"
    PISTACHIO: Final[str] = "135,215,0"
    DARK_OLIVE_GREEN: Final[str] = "135,215,95"
    FEIJOA: Final[str] = "135,215,135"
    VISTA_BLUE: Final[str] = "135,215,175"
    BERMUDA: Final[str] = "135,215,215"
    ANAKIWA: Final[str] = "135,215,255"
    CHARTREUSE_1: Final[str] = "135,255,0"
    LIGHT_GREEN: Final[str] = "135,255,95"
    Mstr_GREEN: Final[str] = "135,255,135"
    PALE_GREEN_1: Final[str] = "135,255,175"
    AQUA_MARINE: Final[str] = "135,255,215"
    ANAKIWA_1: Final[str] = "135,255,255"
    BRIGHT_RED: Final[str] = "175,0,0"
    FLIRT: Final[str] = "175,0,95"
    MEDIUM_VIOLET_RED: Final[str] = "175,0,135"
    MAGENTA_1: Final[str] = "175,0,175"
    DARK_VIOLET: Final[str] = "175,0,215"
    PURPLE_4: Final[str] = "175,0,255"
    ROSE_OF_SHARON: Final[str] = "175,95,0"
    INDIAN_RED: Final[str] = "175,95,95"
    TAPESTRY: Final[str] = "175,95,135"
    FUCHSIA_PINK: Final[str] = "175,95,175"
    MEDIUM_PURPLE_1: Final[str] = "175,95,215"
    HELIOTROPE_1: Final[str] = "175,95,255"
    PIRATE_GOLD: Final[str] = "175,135,0"
    MUESLI: Final[str] = "175,135,95"
    PHARLAP: Final[str] = "175,135,135"
    BOUQUET: Final[str] = "175,135,175"
    LAVENDER: Final[str] = "175,135,215"
    HELIOTROPE_2: Final[str] = "175,135,255"
    GOLD_1: Final[str] = "175,175,0"
    OLIVE_GREEN: Final[str] = "175,175,95"
    HILLARY: Final[str] = "175,175,135"
    SILVER_CHALICE: Final[str] = "175,175,175"
    WISTFUL: Final[str] = "175,175,215"
    MELROSE: Final[str] = "175,175,255"
    RIO_GRANDE: Final[str] = "175,215,0"
    CONIFER: Final[str] = "175,215,95"
    FEIJOA_1: Final[str] = "175,215,135"
    PIXIE_GREEN: Final[str] = "175,215,175"
    JUNGLE_MIST: Final[str] = "175,215,215"
    ANAKIWA_2: Final[str] = "175,215,255"
    LIME_1: Final[str] = "175,255,0"
    GREEN_YELLOW: Final[str] = "175,255,95"
    Mstr_GREEN_1: Final[str] = "175,255,135"
    DARK_SEA_GREEN: Final[str] = "175,255,175"
    AERO_BLUE: Final[str] = "175,255,215"
    FRENCH_PASS: Final[str] = "175,255,255"
    GUARDSMAN_RED: Final[str] = "215,0,0"
    RAZZMATAZZ: Final[str] = "215,0,95"
    HOLLYWOOD_CERISE: Final[str] = "215,0,135"
    HOLLYWOOD_CERISE_1: Final[str] = "215,0,175"
    PURPLE_PIZZAZZ: Final[str] = "215,0,215"
    ELECTRIC_VIOLET_1: Final[str] = "215,0,255"
    TENN: Final[str] = "215,95,0"
    ROMAN: Final[str] = "215,95,95"
    CRANBERRY: Final[str] = "215,95,135"
    HOPBUSH: Final[str] = "215,95,175"
    ORCHID: Final[str] = "215,95,215"
    MEDIUM_ORCHID: Final[str] = "215,95,255"
    MANGO_TANGO: Final[str] = "215,135,0"
    COPPERFIELD: Final[str] = "215,135,95"
    PINK: Final[str] = "215,135,135"
    CANCAN: Final[str] = "215,135,175"
    LIGHT_ORCHID: Final[str] = "215,135,215"
    HELIOTROPE_3: Final[str] = "215,135,255"
    CORN: Final[str] = "215,175,0"
    TACHA: Final[str] = "215,175,95"
    TAN: Final[str] = "215,175,135"
    CLAM_SHELL: Final[str] = "215,175,175"
    THISTLE: Final[str] = "215,175,215"
    MAUVE: Final[str] = "215,175,255"
    CORN_1: Final[str] = "215,215,0"
    KHAKI: Final[str] = "215,215,95"
    DECO: Final[str] = "215,215,135"
    GREEN_MIST: Final[str] = "215,215,175"
    ALTO: Final[str] = "215,215,215"
    FOG: Final[str] = "215,215,255"
    CHARTREUSE_YELLOW: Final[str] = "215,255,0"
    CANARY: Final[str] = "215,255,95"
    HONEYSUCKLE: Final[str] = "215,255,135"
    REEF: Final[str] = "215,255,175"
    SNOWY_Mstr: Final[str] = "215,255,215"
    OYSTER_BAY: Final[str] = "215,255,255"
    ROSE: Final[str] = "255,0,95"
    DEEP_PINK: Final[str] = "255,0,135"
    HOLLYWOOD_CERISE_2: Final[str] = "255,0,175"
    PURPLE_PIZZAZZ_1: Final[str] = "255,0,215"
    MAGENTA: Final[str] = "255,0,255"
    BLAZE_ORANGE: Final[str] = "255,95,0"
    BITTER_SWEET: Final[str] = "255,95,95"
    WILD_WATERMELON: Final[str] = "255,95,135"
    HOTPINK: Final[str] = "255,95,175"
    HOTPINK_1: Final[str] = "255,95,215"
    PINK_FLAMINGO: Final[str] = "255,95,255"
    FLUSH_ORANGE: Final[str] = "255,135,0"
    SALMON: Final[str] = "255,135,95"
    VIVID_TANGERINE: Final[str] = "255,135,135"
    PINK_SALMON: Final[str] = "255,135,175"
    LAVENDER_ROSE: Final[str] = "255,135,215"
    BLUSH_PINK: Final[str] = "255,135,255"
    YELLOW_SEA: Final[str] = "255,175,0"
    TEXAS_ROSE: Final[str] = "255,175,95"
    HIT_PINK: Final[str] = "255,175,135"
    SUNDOWN: Final[str] = "255,175,175"
    COTTON_CANDY: Final[str] = "255,175,215"
    LAVENDER_ROSE_1: Final[str] = "255,175,255"
    GOLD: Final[str] = "255,215,0"
    DANDELION: Final[str] = "255,215,95"
    GRANDIS: Final[str] = "255,215,135"
    CARAMEL: Final[str] = "255,215,175"
    COSMOS: Final[str] = "255,215,215"
    PINK_LACE: Final[str] = "255,215,255"
    LASER_LEMON: Final[str] = "255,255,95"
    DOLLY: Final[str] = "255,255,135"
    PORTAFINO: Final[str] = "255,255,175"
    CUMULUS: Final[str] = "255,255,215"
    COD_GRAY: Final[str] = "8,8,8"
    COD_GRAY_1: Final[str] = "18,18,18"
    COD_GRAY_2: Final[str] = "28,28,28"
    MINE_SHAFT: Final[str] = "38,38,38"
    MINE_SHAFT_1: Final[str] = "48,48,48"
    MINE_SHAFT_2: Final[str] = "58,58,58"
    TUNDORA: Final[str] = "68,68,68"
    TUNDORA_1: Final[str] = "78,78,78"
    SCORPION_1: Final[str] = "88,88,88"
    DOVE_GRAY: Final[str] = "98,98,98"
    DOVE_GRAY_1: Final[str] = "108,108,108"
    BOULDER: Final[str] = "118,118,118"
    GRAY_2: Final[str] = "138,138,138"
    GREY_2: Final[str] = "138,138,138"
    DUSTY_GRAY: Final[str] = "148,148,148"
    SILVER_CHALICE_1: Final[str] = "158,158,158"
    SILVER_CHALICE_2: Final[str] = "168,168,168"
    SILVER_CHALICE_3: Final[str] = "178,178,178"
    SILVER_1: Final[str] = "188,188,188"
    SILVER_2: Final[str] = "198,198,198"
    ALTO_1: Final[str] = "208,208,208"
    ALTO_2: Final[str] = "218,218,218"
    MERCURY: Final[str] = "228,228,228"
    GALLERY: Final[str] = "238,238,238"
